import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class MainMenuPanel extends JPanel {

    public MainMenuPanel(MainFrame frame) {
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        // Button für "Lokales Spiel Starten"
        JButton localGameButton = new JButton("Lokales Spiel Starten");
        localGameButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                frame.showPanel("LocalGame");
            }
        });

        // Button für "Multiplayer Spiel Starten"
        JButton multiplayerButton = new JButton("Multiplayer Spiel Starten");
        multiplayerButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                frame.showPanel("MultiplayerGame");
            }
        });

        add(localGameButton);
        add(Box.createVerticalStrut(20)); // Abstand zwischen den Buttons
        add(multiplayerButton);
    }
}
